Delete Eka User
curl --request DELETE \
--url https://api.eka.care/cdr/v1/ekauser/{user_id}/ \
--header 'auth: <auth>'import requests
url = "https://api.eka.care/cdr/v1/ekauser/{user_id}/"
headers = {"auth": "<auth>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {auth: '<auth>'}};
fetch('https://api.eka.care/cdr/v1/ekauser/{user_id}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "success",
"message": "EkaUser Deleted Successfully"
}{
"status": "error",
"message": "EkaUser not found"
}Eka User
Delete Eka User
Overview
Soft-delete an Eka User by Eka ID or partner-provided ID. Deleted users no longer appear in list or get responses.
Endpoint: {{HOST}}/cdr/v1/ekauser/{user_id}/
Method: DELETE
Path Parameters
| Parameter | Type | Description | Required |
|---|---|---|---|
| user_id | string | Eka User’s Eka ID or partner-provided ID | Yes |
DELETE
/
cdr
/
v1
/
ekauser
/
{user_id}
/
Delete Eka User
Headers
The auth token of the business. It is used to authenticate the client. This should be fetched from auth api.
Example:
"eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJiX2lkIjoiMTIzNDU2IiwiY2xpZW50X2lkIjoiNzg5MCIsImV4dHJhX2ZpZWxkIjoiZXh0cmFfZmllbGRfZGF0YSJ9.q9KzBI6f4l3OyM_EkB5Quq0l9EEMFh5JS-fx3F_PHUM"
Path Parameters
Eka User's Eka ID or partner-provided ID
Example:
"176917697553584"
Was this page helpful?

